---
title: Get user-list
slug: monitor/get-user-list
docTags: 
createdAt: 2025-04-09T07:48:57.046Z
---

:::ApiMethodV2
```json
{
  "name": "Get user-list",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/user-list",
  "description": "Gets the list of monitored users",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "cbqvh1Cq7QTIp3OMNP-4E",
        "language": "curl",
        "code": "curl --location --globoff 'https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/user-list' \\\n--header 'Authorization: string'",
        "customLabel": ""
      },
      {
        "id": "20oEpACOk53rp-0YKc_4U",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/user-list',\n   'headers': {\n      'Authorization': 'string'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "SC7rgbjxa7IaUiUTZrm9Y",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Authorization\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/user-list\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "3kthiRjdikmmP3QoxoKS2",
        "language": "python",
        "code": "import requests\n\nurl = \"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/user-list\"\n\npayload = {}\nheaders = {\n   'Authorization': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "PCzpPhukZgxHxnC04e1gE",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/user-list\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Authorization\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "20oEpACOk53rp-0YKc_4U"
  },
  "results": {
    "languages": [
      {
        "id": "j2biNnnfVz4nvS7y7p7mn",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"download\":\n    {\n        \"url\": \"https://amzn-s3-demo-bucket.s3.amazonaws.com/users\",\n        \"httpMethod\": \"GET\"\n    },\n    \"createAt\": \"2025-03-20T19:03:59Z\",\n    \"updateAt\": \"2025-03-20T19:03:59Z\"\n}"
      }
    ],
    "selectedLanguageId": "j2biNnnfVz4nvS7y7p7mn"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "ID of the monitor",
        "": "ID of the monitor"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth",
        "": "Bearer access token, it returned by the /auth"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false
}
```
:::

